package com.example.springdemo.controller;

import com.example.springdemo.entities.RBAC.Permissions;
import com.example.springdemo.service.PermissionsService;
import com.example.springdemo.utils.RoleVerificationAnnotation;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/permissions")
@RoleVerificationAnnotation(UserIDList = {1})
public class PermissionsController {
    @Resource
    private PermissionsService permissionsService;

    @PostMapping("/add")
    public Permissions addPermissions(@RequestBody Permissions permissions) {
        return permissionsService.createPermissions(permissions);
    }

    @DeleteMapping("/delete")
    public void deletePermissions(@RequestParam("id") Long permissionsID) {
        permissionsService.deletePermissions(permissionsID);
    }

    @PutMapping("/update")
    public Permissions updatePermissions(@RequestBody Permissions permissions) {
        return permissionsService.updatePermissions(permissions);
    }

    @GetMapping("/get")
    public Iterable<Permissions> getAllPermissions() {
        return permissionsService.getAllPermissions();
    }

    @GetMapping("/get")
    public Permissions getPermissions(@RequestParam Long permissionsID) {
        return permissionsService.getPermissions(permissionsID);
    }
}
