package com.example.springdemo.controller;

import com.example.springdemo.entities.RBAC.Roles;
import com.example.springdemo.service.RolesService;
import com.example.springdemo.utils.RoleVerificationAnnotation;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.*;

@RoleVerificationAnnotation(UserIDList = {1})
@RestController
@RequestMapping("/roles")
public class RolesController {
    @Resource
    private RolesService rolesService;

    @PostMapping("/add")
    public Roles addRoles(@RequestBody Roles roles) {
        return rolesService.createRoles(roles);
    }

    @DeleteMapping("/delete")
    public void deleteRoles(@RequestParam("id") Long rolesID) {
        rolesService.deleteRoles(rolesID);
    }

    @PutMapping("/update")
    public Roles updateRoles(@RequestBody Roles roles) {
        return rolesService.updateRoles(roles);
    }

    @GetMapping("/get")
    public Iterable<Roles> getAllRoles() {
        return rolesService.getAllRoles();
    }

    @GetMapping("/get")
    public Roles getRoles(@RequestParam Long rolesID) {
        return rolesService.getRolesById(rolesID);
    }

    @GetMapping("/get")
    public Roles getRoles(@RequestParam String rolesName) {
        return rolesService.getRolesByName(rolesName);
    }
}
