package com.example.springdemo.controller;

import com.example.springdemo.entities.RBAC.RolesPermissions;
import com.example.springdemo.service.RolesPermissionsService;
import com.example.springdemo.utils.RoleVerificationAnnotation;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.*;

@RoleVerificationAnnotation(UserIDList = {1})
@RestController
@RequestMapping("/rolesPermissions")
public class RolesPermissionsController {
    @Resource
    private RolesPermissionsService rolesPermissionsService;

    @PostMapping("/assign")
    public RolesPermissions assignPermissionsToRole(@RequestBody RolesPermissions rolesPermissions) {
        return rolesPermissionsService.AssignPermissionsToRole(rolesPermissions);
    }

    @DeleteMapping("/remove")
    public String removePermissionsFromRole(@RequestParam(name = "roleId") Long roleId, @RequestParam(name = "permissionId") Long permissionId) {
        if (rolesPermissionsService.RemovePermissionsFromRole(roleId, permissionId)) {
            return "remove success";
        } else {
            return "remove failed, you can't update or delete admin role";
        }
    }

    @PutMapping("/update")
    public String updateRolePermissions(@RequestParam(name = "roleId") Long roleId, @RequestParam(name = "permissionId") Long permissionId) {
        if (rolesPermissionsService.updateRolePermissions(roleId, permissionId)) {
            return "update success";
        } else {
            return "update failed, you can't update or delete admin role";
        }
    }

    @GetMapping("/find")
    public RolesPermissions getRolePermissionById(@RequestParam(name = "rolesPermissionsId") Long rolesPermissionsId) {
        return rolesPermissionsService.getRolePermissionById(rolesPermissionsId);
    }

}
