package com.example.springdemo.dao;

import com.example.springdemo.entities.RBAC.RolesPermissions;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public interface RolesPermissionsRepository
        extends JpaRepository<RolesPermissions, Long> {

    @Modifying
    @Transactional
    @Query(value = "delete from RolesPermissions " +
            "where RolesID = ?1 and PermissionsID = ?2", nativeQuery = true)
    void RemovePermissionsFromRole(Long roleId, Long permissionId);

    @Modifying
    @Transactional
    @Query(value = "update RolesPermissions set RolesID = ?1, PermissionsID = ?2 " +
            "where RolesID = ?1 and PermissionsID = ?2", nativeQuery = true)
    void updateRolePermissions(Long roleId, Long permissionId);
}
