package com.example.springdemo.dao;

import com.example.springdemo.entities.Users;
import com.example.springdemo.entities.password.UsersPassword;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public interface UsersRepository
        extends JpaRepository<Users, Long> {
    Users findByName(String name);

    @Modifying
    @Transactional
    void deleteByName(String name);

    //添加新用户时创建密码
    void addPassword(UsersPassword usersPassword);

    @Modifying
    @Transactional
    @Query("update UsersPassword UsersPwd set UsersPwd.password = ?1 where UsersPwd.users.id = ?2")
    void updatePassword(String password, Long userID);

    //删除账户时删除密码
    @Modifying
    @Transactional
    @Query("delete from UsersPassword UsersPwd where UsersPwd.users.id = ?1")
    void deletePasswordById(Long userID);
}
