package com.example.springdemo.entities;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "Dishes")
//菜单菜品类
public class Dishes {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;//主键，菜品ID
    private String name;//菜品名称
    private BigDecimal price;//菜品价格
    private Integer discount;//菜品折扣
    @Column(name = "finalPrice")
    private BigDecimal finalPrice;//菜品最终价格
    private String description;//菜品描述

    @ManyToOne(cascade = CascadeType.ALL, fetch = FetchType.EAGER)
    @JoinColumn(name = "merchantsID", referencedColumnName = "id")
    private Merchants merchants;//商家
}
