package com.example.springdemo.entities;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

//订单中的菜品
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "OrderDishes")
public class OrderDishes {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;//主键ID

    @OneToOne(cascade = CascadeType.ALL)
    @PrimaryKeyJoinColumn(name = "dishesID", referencedColumnName = "id")
    private Dishes dishes;//菜品ID

    @OneToOne(cascade = CascadeType.ALL)
    @PrimaryKeyJoinColumn(name = "merchantsID", referencedColumnName = "id")
    private Merchants merchants;//商家ID

    @ManyToOne(cascade = CascadeType.ALL, fetch = FetchType.EAGER)
    @JoinColumn(name = "ordersID", referencedColumnName = "id")
    private Orders orders;//订单ID
}