package com.example.springdemo.service;

import com.example.springdemo.dao.MerchantsRepository;
import com.example.springdemo.entities.Merchants;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MerchantsServiceImpl implements MerchantsService {
    @Resource
    private MerchantsRepository merchantsRepository;

    @Override
    public Merchants addMerchants(Merchants merchant) {
        return merchantsRepository.save(merchant);
    }

    @Override
    public void deleteMerchantsById(Long id) {
        merchantsRepository.deleteById(id);
    }

    @Override
    public Merchants updateMerchants(Merchants merchant) {
        return merchantsRepository.save(merchant);
    }

    @Override
    public List<Merchants> findAllMerchants() {
        return merchantsRepository.findAll();
    }

    @Override
    public Merchants findById(Long id) {
        return merchantsRepository.findById(id).orElse(null);
    }

    @Override
    public Merchants findByName(String name) {
        return merchantsRepository.findByName(name);
    }
}
