package com.example.springdemo.service;

import com.example.springdemo.dao.PermissionsRepository;
import com.example.springdemo.entities.RBAC.Permissions;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class PermissionsServiceImpl implements PermissionsService {
    @Resource
    private PermissionsRepository permissionsRepository;

    @Override
    public Permissions createPermissions(Permissions permissions) {

        return permissionsRepository.save(permissions);
    }

    @Override
    public Permissions updatePermissions(Permissions permissions) {
        return permissionsRepository.save(permissions);
    }

    @Override
    public void deletePermissions(Long permissionsID) {
        permissionsRepository.deleteById(permissionsID);
    }

    @Override
    public Permissions getPermissions(Long permissionsID) {
        return permissionsRepository.findById(permissionsID).orElse(null);
    }

    @Override
    public Iterable<Permissions> getAllPermissions() {
        return permissionsRepository.findAll();
    }
}
