package com.example.springdemo.service;

import com.example.springdemo.dao.RolesPermissionsRepository;
import com.example.springdemo.entities.RBAC.RolesPermissions;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class RolesPermissionsServiceImpl implements RolesPermissionsService {
    @Resource
    private RolesPermissionsRepository rolesPermissionsRepository;

    @Override
    public RolesPermissions AssignPermissionsToRole(RolesPermissions rolesPermissions) {
        return rolesPermissionsRepository.save(rolesPermissions);
    }

    @Override
    public Boolean RemovePermissionsFromRole(Long roleId, Long permissionId) {
        if (this.CheckIfDeleteOrUpdateAdmin(roleId)) {
            rolesPermissionsRepository.RemovePermissionsFromRole(roleId, permissionId);
            return true;
        } else {
            return false;
        }

    }

    @Override
    public Boolean updateRolePermissions(Long roleId, Long permissionId) {
        if (this.CheckIfDeleteOrUpdateAdmin(roleId)) {
            rolesPermissionsRepository.updateRolePermissions(roleId, permissionId);
            return true;
        } else {
            return false;
        }
    }

    @Override
    public RolesPermissions getRolePermissionById(Long rolesPermissionsId) {
        return rolesPermissionsRepository.findById(rolesPermissionsId).orElse(null);
    }

    //TODO: 查询全部权限和角色的对应关系
    @Override
    public Iterable<RolesPermissions> getAllRolesPermissions() {
        return null;
    }

    @Override
    public Boolean CheckIfDeleteOrUpdateAdmin(Long roleId) {
        return roleId != 1;
    }
}
