package com.example.springdemo.service;

import com.example.springdemo.dao.UsersRepository;
import com.example.springdemo.entities.Users;
import com.example.springdemo.entities.password.UsersPassword;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.Optional;

@Service
public class UsersServiceImpl implements UsersService {
    @Resource
    private UsersRepository usersRepository;

    @Override
    public Users addUsers(Users user) {
        return usersRepository.save(user);
    }

    @Override
    public void deleteUsersById(Long userID) {
        usersRepository.deleteById(userID);
        this.deletePasswordById(userID);
    }

    @Override
    public void deleteUsersByName(String name) {
        usersRepository.deleteByName(name);
    }

    @Override
    public Users updateUsers(Users user) {
        return usersRepository.save(user);
    }

    @Override
    public Iterable<Users> findAllUsers() {
        return usersRepository.findAll();
    }

    @Override
    public Users findById(Long userID) {
        return usersRepository.findById(userID).orElse(null);
    }

    @Override
    public Users findByName(String name) {
        return usersRepository.findByName(name);
    }

    @Override
    public void addPassword(UsersPassword usersPassword) {
        usersRepository.addPassword(usersPassword);
    }

    @Override
    public void updatePassword(String password, Long userID) {
        usersRepository.updatePassword(password, userID);
    }

    @Override
    public void deletePasswordById(Long userID) {
        usersRepository.deletePasswordById(userID);
    }
}
